PS_STRINGWIDTH3(3)

      uwe@steinmann.cx
UWE STEINMANN 2003Uwe SteinmannApril 28, 2003;

NAME
PS_string_geometry — Gets geometry of a string

SYNOPSIS

#include <pslib.h>

float PS_string_geometry(PSDoc *psdoc, const char *text, int len, int fontid, float size, float *dimension)

DESCRIPTION

This function is identical to PS_stringwidth2(3)     but has an extra parameter dimension which, if not
            NULL, will be used to return further dimensions of the string.

dimension[0] contains the width as returned
            by the function. dimension[1] contains the
            maximum descender and dimension[2] the maximum
            ascender of the string.

RETURN VALUE

Width of a string in points.

SEE ALSO

PS_stringwidth(3), PS_stringwidth2(3)

AUTHOR

This manual page was written by Uwe Steinmann uwe@steinmann.cx.